# dLeyna-Renderer

Contents:

- The Manager Object
  - com.intel.dLeynaRenderer.Manager
    - Methods
    - Properties
    - Signals
- The Renderer Objects
  - com.intel.dLeynaRenderer.RendererDevice
    - Methods
    - Properties
  - org.mpris.MediaPlayer2
  - org.mpris.MediaPlayer2.Player
    - Additional Properties
    - Methods
  - org.mpris.MediaPlayer2.TrackList
  - org.mpris.MediaPlayer2.Playlists
  - com.intel.dLeynaRenderer.PushHost
    - Methods

dleyna-renderer-service is a middleware component. It is designed to be launched by D-Bus activation when needed. It automatically shuts down when the last of its clients quits or releases its connection.

dleyna-renderer-service currently connects to the D-Bus session bus, although this may change in the future. It exposes two different types of objects:

1. A manager object. There is only ever a single instance of this object. It can be used to retrieve a list of the DMR on the local area network. It is also used to perform certain renderer independent tasks.

2. Renderer objects. One separate object is exposed for each DMR available on the LAN. These objects expose interfaces that allow clients to retrieve information about the renderers, to manipulate them and to push content to them.